OTBCLI_MORPHOLOGICALMULTISCALEDECOMPOSITION(1)

NAME
otbcli_MorphologicalMultiScaleDecomposition - OTB MorphologicalMultiScaleDecomposition application

DESCRIPTION
This is the MorphologicalMultiScaleDecomposition application, version 6.0.0 Perform a geodesic morphology based image analysis on an input image channel

Complete documentation: http://www.orfeo-toolbox.org/Applications/MorphologicalMultiScaleDecomposition.html

  Parameters:

-progress
    <boolean> Report progress

-in <string> Input Image (mandatory) -outconvex <string> [pixel] Output Convex Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory) -outconcave <string> [pixel] Output Concave Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory) -outleveling <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-channel
    <int32> Selected Channel (mandatory, default value is 1)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-structype
    <string> Structuring Element Type [ball/cross] (mandatory, default value is ball)

-radius
    <int32> Initial radius (mandatory, default value is 5)

-step
    <int32> Radius step. (mandatory, default value is 1)

-levels
    <int32> Number of levels use for multi scale (mandatory, default value is 1)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_MorphologicalMultiScaleDecomposition -in ROI_IKO_PAN_LesHalles.tif -structype ball -channel 1 -radius 2 -levels 2 -step 3 -outconvex convex.tif -outconcave concave.tif -outleveling leveling.tif